<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Move</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Move";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Move.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/Move.html" target="_top">Frames</a></li>
<li><a href="Move.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model.trid</div>
<h2 title="Class Move" class="title">Class Move</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.trid.Move</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Move</span>
extends java.lang.Object</pre>
<div class="block">Description of Figure or Pin moves in a Tri-D chess match.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#Move-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-">Move</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure,
    <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;target,
    <a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;attacked)</code>
<div class="block">Creates a figure move object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#Move-de.rowlo.tridchess.model.trid.Pin-de.rowlo.tridchess.model.trid.Pin-boolean-">Move</a></span>(<a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;source,
    <a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;target,
    boolean&nbsp;turned)</code>
<div class="block">Creates an attack board move object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#carryOutMove--">carryOutMove</a></span>()</code>
<div class="block">Carries out the move on the Board.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getAttacked--">getAttacked</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getFigure--">getFigure</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getSourceField--">getSourceField</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getSourcePin--">getSourcePin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getTargetField--">getTargetField</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getTargetPin--">getTargetPin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#isFigureMove--">isFigureMove</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#isMoveCarriedOut--">isMoveCarriedOut</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#isPutCheck--">isPutCheck</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#isPutMate--">isPutMate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#isTurned--">isTurned</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#toPropertyString--">toPropertyString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Move-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Move</h4>
<pre>public&nbsp;Move(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure,
            <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;target,
            <a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;attacked)</pre>
<div class="block">Creates a figure move object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>figure</code> - the Figure that is moved</dd>
<dd><code>target</code> - the Field the move will end at</dd>
<dd><code>attacked</code> - the Figure being attacked, or null</dd>
</dl>
</li>
</ul>
<a name="Move-de.rowlo.tridchess.model.trid.Pin-de.rowlo.tridchess.model.trid.Pin-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Move</h4>
<pre>public&nbsp;Move(<a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;source,
            <a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;target,
            boolean&nbsp;turned)</pre>
<div class="block">Creates an attack board move object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the source Pin</dd>
<dd><code>target</code> - the destination Pin</dd>
<dd><code>turned</code> - true, if the attack board is also turned 180°</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="carryOutMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>carryOutMove</h4>
<pre>public&nbsp;void&nbsp;carryOutMove()</pre>
<div class="block">Carries out the move on the Board.</div>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="toPropertyString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toPropertyString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toPropertyString()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an String representation of this Move for Properties files.</dd>
</dl>
</li>
</ul>
<a name="isMoveCarriedOut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMoveCarriedOut</h4>
<pre>public&nbsp;boolean&nbsp;isMoveCarriedOut()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the moveCarriedOut</dd>
</dl>
</li>
</ul>
<a name="isPutCheck--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPutCheck</h4>
<pre>public&nbsp;boolean&nbsp;isPutCheck()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the putCheck</dd>
</dl>
</li>
</ul>
<a name="isPutMate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPutMate</h4>
<pre>public&nbsp;boolean&nbsp;isPutMate()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the putMate</dd>
</dl>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;getBoard()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the board</dd>
</dl>
</li>
</ul>
<a name="isFigureMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFigureMove</h4>
<pre>public&nbsp;boolean&nbsp;isFigureMove()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the figureMove</dd>
</dl>
</li>
</ul>
<a name="getFigure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFigure</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;getFigure()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the figure</dd>
</dl>
</li>
</ul>
<a name="getSourceField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceField</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;getSourceField()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the sourceField</dd>
</dl>
</li>
</ul>
<a name="getTargetField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetField</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;getTargetField()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the targetField</dd>
</dl>
</li>
</ul>
<a name="getAttacked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttacked</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;getAttacked()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attacked</dd>
</dl>
</li>
</ul>
<a name="getSourcePin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourcePin</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;getSourcePin()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the sourcePin</dd>
</dl>
</li>
</ul>
<a name="getTargetPin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetPin</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;getTargetPin()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the targetPin</dd>
</dl>
</li>
</ul>
<a name="isTurned--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isTurned</h4>
<pre>public&nbsp;boolean&nbsp;isTurned()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the turned</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Move.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/Move.html" target="_top">Frames</a></li>
<li><a href="Move.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
